Android编译问题分析

# Android编译(1)

java 未找到玛命令

这里写代码片
Your version is: /bin/bash: java: 未找到命令. The required version is: "1.8.x"

解决方案:
sudo apt-get install openjdk-6-jdk

重点内容

这里写代码片
ninja: no work to do.
ninja: no work to do.
out/build-aosp_arm64.ninja is missing, regenerating...
Checking build tools versions...
[9/698] including ./cts/Android.mk ...
cts/tests/tests/telecom3/Android.mk:37: warning: FindEmulator: find: `cts/tests/tests/telecom/src/android/telecom/cts/MockDialerActivity.java': No such file or directory
[317/698] including ./external/toybox/Android.mk ...
awk: line 1: syntax error at or near ,
[322/698] including ./external/valgrind/Android.mk ...
07:55:27 ckati failed with: signal: killed
build/core/main.mk:21: recipe for target 'run_soong_ui' failed
make: *** [run_soong_ui] Error 1

#### make failed to build some targets (57 seconds) ####

解决方案
暂无

展开阅读全文

没有更多推荐了,返回首页